#include<conio.h>
#include<string.h>
#include<stdio.h>
FILE*f;
char fiznev[30];
typedef struct{char nev[50]; int ar; int kedv; int menny;} ARU;
ARU a;
int db1=0,db2=0;float szum=0;
main()
{clrscr();
{puts("mi a file neve?");  gets(fiznev);
f=fopen(fiznev,"wb");

do {puts("aru neve"); scanf("%s",&a.nev);
    puts("egys‚g r"); scanf("%d",&a.ar);
    puts("kedvezm‚ny"); scanf("%d",&a.kedv);
    puts("v s rolt mennyis‚g"); scanf("%d",&a.menny);
fread(&a,sizeof(a),1,f);
puts("akarod fojtatni?(i/n)");
}while(getch()=='i');
rewind(f);                                    //visszat‚r a file elej‚re
  while(!feof(f))
  {fread (&a,sizeof(a),1,f);
  if(strcmp(a.nev,"Borsodi")==0) db1+=a.menny;
  if(strcmp(a.nev,"Dreher")==0) db2+=a.menny;
  szum+=a.ar*(1-a.kedv/100.0)*a.menny;}
fclose(f);
printf("az ”sszbev‚tel:%f",szum);
if(db1>db2) printf("Borsodibol vettek t”bbet");
else printf("Dreherb”l vetek t”bbet");
getch();}}



